sqlsrv_rollback
sqlsrv_send_stream_data
SQLSRV Functions
PHP Manual

# sqlsrv_rows_affected

Returns the number of rows modified by the last INSERT, UPDATE, or DELETE query executed

### Description

int sqlsrv_rows_affected ( resource `$stmt` )

Returns the number of rows modified by the last INSERT, UPDATE, or DELETE query executed. For information about the number of rows returned by a SELECT query, see sqlsrv_num_rows.

### Parameters

`stmt`

  The executed statement resource for which the number of affected rows is returned.

### Return Values

Returns the number of rows affected by the last INSERT, UPDATE, or DELETE query. If no rows were affected, 0 is returned. If the number of affected rows cannot be determined, -1 is returned. If an error occurred, `FALSE` is returned.

### Examples

Example #1 sqlsrv_rows_affected example

`<?php
$serverName = "serverName\sqlexpress";
$connectionInfo = array( "Database"=>"dbName", "UID"=>"username", "PWD"=>"password" );
$conn = sqlsrv_connect( $serverName, $connectionInfo);
if( $conn === false ) {
die( print_r( sqlsrv_errors(), true));
}
$sql = "UPDATE Table_1 SET data = ? WHERE id = ?";
$params = array("updated data", 1);
$stmt = sqlsrv_query( $conn, $sql, $params);
$rows_affected = sqlsrv_rows_affected( $stmt);
if( $rows_affected === false) {
die( print_r( sqlsrv_errors(), true));
} elseif( $rows_affected == -1) {
echo "No information available.<br />";
} else {
echo $rows_affected." rows were updated.<br />";
}
?>`

### See Also

- sqlsrv_num_rows